org.jbpm.services.task.commands

## Class RemoveTasksCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Integer>
  - - org.jbpm.services.task.commands.RemoveTasksCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<Integer>, org.kie.api.command.Command<Integer>

      public class RemoveTasksCommand
      extends TaskCommand<Integer>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveTasksCommand()`
    `RemoveTasksCommand(List<org.kie.api.task.model.TaskSummary> tasks)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `execute(org.kie.internal.command.Context cntxt)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasks()`
    `void` | `setTasks(List<org.kie.api.task.model.TaskSummary> tasks)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveTasksCommand

          public RemoveTasksCommand()

    - #### RemoveTasksCommand

          public RemoveTasksCommand(List<org.kie.api.task.model.TaskSummary> tasks)

  - ### Method Detail

    - #### getTasks

          public List<org.kie.api.task.model.TaskSummary> getTasks()

    - #### setTasks

          public void setTasks(List<org.kie.api.task.model.TaskSummary> tasks)

    - #### execute

          public Integer execute(org.kie.internal.command.Context cntxt)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.